/*
filename: dtm_combine_historical_banks.do

What at the top ten banks in June 1929?

Need to merge the different

*/

clear


use ./data/aux1.dta, clear
append using ./data/aux2.dta 
append using ./data/aux3.dta 
append using ./data/aux4.dta 



format d_date %tdCY!-N!-D
replace year = year(d_date) if source == "nat_qq"

gen age2 = year - organized
order age age2, first

drop if d_date > mdy(6,30,1930)


// HARMONIZING CALL ID'S ACROSS STATE AND NATIONAL BANKS

gen call_id = ., before(d_date)

// call id's based on comparing state trusts and national banks
// see call_date_comparison_nat_sttb.xlsx

replace call_id = 1  if d_date == mdy(02,28,1921) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 2  if d_date == mdy(06,30,1921) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 3  if d_date == mdy(09,06,1921) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 4  if d_date == mdy(11,15,1921) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 5  if d_date == mdy(03,10,1922) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 6  if d_date == mdy(06,30,1922) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 7  if d_date == mdy(09,30,1922) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 8  if d_date == mdy(11,15,1922) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 9  if d_date == mdy(03,27,1923) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 10 if d_date == mdy(06,30,1923) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 11 if d_date == mdy(09,10,1923) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 12 if d_date == mdy(11,15,1923) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 13 if d_date == mdy(03,20,1924) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 14 if d_date == mdy(06,30,1924) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 15 if d_date == mdy(09,29,1924) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 16 if d_date == mdy(11,15,1924) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 17 if d_date == mdy(03,25,1925) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 18 if d_date == mdy(06,30,1925) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 19 if d_date == mdy(09,30,1925) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 20 if d_date == mdy(11,14,1925) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 21 if d_date == mdy(03,25,1926) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 22 if d_date == mdy(06,30,1926) & (source == "stt_qq" | source == "stb_qq")
//replace call_id = 23 if d_date == mdy(09,30,1926) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 23 if d_date == mdy(11,15,1926) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 24 if d_date == mdy(03,23,1927) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 25 if d_date == mdy(06,30,1927) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 26 if d_date == mdy(09,30,1927) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 27 if d_date == mdy(11,14,1927) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 28 if d_date == mdy(03,02,1928) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 29 if d_date == mdy(06,30,1928) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 30 if d_date == mdy(09,28,1928) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 31 if d_date == mdy(12,31,1928) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 32 if d_date == mdy(03,22,1929) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 33 if d_date == mdy(06,29,1929) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 34 if d_date == mdy(09,27,1929) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 35 if d_date == mdy(12,31,1929) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 36 if d_date == mdy(03,27,1930) & (source == "stt_qq" | source == "stb_qq")
replace call_id = 37 if d_date == mdy(06,30,1930) & (source == "stt_qq" | source == "stb_qq")

replace call_id = 1 if d_date == mdy(02,21,1921) & source == "nat_qq"
replace call_id = 2 if d_date == mdy(06,30,1921) & source == "nat_qq"
replace call_id = 3 if d_date == mdy(09,06,1921) & source == "nat_qq"
replace call_id = 4 if d_date == mdy(12,31,1921) & source == "nat_qq"
replace call_id = 5 if d_date == mdy(03,10,1922) & source == "nat_qq"
replace call_id = 6 if d_date == mdy(06,30,1922) & source == "nat_qq"
replace call_id = 7 if d_date == mdy(09,15,1922) & source == "nat_qq"
replace call_id = 8 if d_date == mdy(12,29,1922) & source == "nat_qq"
replace call_id = 9 if d_date == mdy(04,03,1923) & source == "nat_qq"
replace call_id = 10 if d_date == mdy(06,30,1923) & source == "nat_qq"
replace call_id = 11 if d_date == mdy(09,14,1923) & source == "nat_qq"
replace call_id = 12 if d_date == mdy(12,31,1923) & source == "nat_qq"
replace call_id = 13 if d_date == mdy(03,31,1924) & source == "nat_qq"
replace call_id = 14 if d_date == mdy(06,30,1924) & source == "nat_qq"
replace call_id = 15 if d_date == mdy(10,10,1924) & source == "nat_qq"
replace call_id = 16 if d_date == mdy(12,31,1924) & source == "nat_qq"
replace call_id = 17 if d_date == mdy(04,06,1925) & source == "nat_qq"
replace call_id = 18 if d_date == mdy(06,30,1925) & source == "nat_qq"
replace call_id = 19 if d_date == mdy(09,28,1925) & source == "nat_qq"
replace call_id = 20 if d_date == mdy(12,31,1925) & source == "nat_qq"
replace call_id = 21 if d_date == mdy(04,12,1926) & source == "nat_qq"
replace call_id = 22 if d_date == mdy(06,30,1926) & source == "nat_qq"
replace call_id = 22 if d_date == mdy(09,30,1926) & source == "nat_qq"
replace call_id = 23 if d_date == mdy(12,31,1926) & source == "nat_qq"
replace call_id = 24 if d_date == mdy(03,23,1927) & source == "nat_qq"
replace call_id = 25 if d_date == mdy(06,30,1927) & source == "nat_qq"
replace call_id = 26 if d_date == mdy(10,10,1927) & source == "nat_qq"
replace call_id = 27 if d_date == mdy(12,31,1927) & source == "nat_qq"
replace call_id = 28 if d_date == mdy(02,28,1928) & source == "nat_qq"
replace call_id = 29 if d_date == mdy(06,30,1928) & source == "nat_qq"
replace call_id = 30 if d_date == mdy(10,03,1928) & source == "nat_qq"
replace call_id = 31 if d_date == mdy(12,31,1928) & source == "nat_qq"
replace call_id = 32 if d_date == mdy(03,27,1929) & source == "nat_qq"
replace call_id = 33 if d_date == mdy(06,29,1929) & source == "nat_qq"
replace call_id = 34 if d_date == mdy(10,04,1929) & source == "nat_qq"
replace call_id = 35 if d_date == mdy(12,31,1929) & source == "nat_qq"
replace call_id = 36 if d_date == mdy(03,27,1930) & source == "nat_qq"
replace call_id = 37 if d_date == mdy(06,30,1930) & source == "nat_qq"

// NATIONAL BANKS QUASI-ANNUALLY 
replace call_id = 3  if d_date == mdy(9,6,1921)   & source == "nat_qa"
replace call_id = 7  if d_date == mdy(9,15,1922)  & source == "nat_qa"
replace call_id = 11 if d_date == mdy(9,14,1923)  & source == "nat_qa"
replace call_id = 15 if d_date == mdy(10,10,1924) & source == "nat_qa"
replace call_id = 19 if d_date == mdy(9,28,1925)  & source == "nat_qa"
replace call_id = 23 if d_date == mdy(12,31,1926) & source == "nat_qa"
replace call_id = 26 if d_date == mdy(10,10,1927) & source == "nat_qa"
replace call_id = 31 if d_date == mdy(12,31,1928) & source == "nat_qa"
replace call_id = 35 if d_date == mdy(12,31,1929) & source == "nat_qa"
//replace call_id = 39 if d_date == mdy(12,31,1930) & source == "nat_qa"

tab source if call_id == .
tab d_date source if call_id == .

order source call_id, first

replace eqt = 100*(equity/assets)

// getting top banks by size, by call_id

drop if call_id == . 

gsort call_id -assets
by call_id: gen size_rank_in_call_id = _n
order size_rank_in_call_id

list size_rank_in_call_id source name assets if call_id ==33 & size_rank_in_call_id <=20



gen top10_size1929 = 0 
replace top10_size1929 = 1 if name == "National City Bank" 						& source == "nat_qq"
replace top10_size1929 = 1 if name == "GUARANTY TRUST COMPANY OF NEW YORK" 		& source == "stt_qq"
replace top10_size1929 = 1 if name == "Chase National Bank" 					& source == "nat_qq"
replace top10_size1929 = 1 if name == "IRVING TRUST COMPANY" 					& source == "stt_qq"
replace top10_size1929 = 1 if name == "BANKERS TRUST COMPANY" 					& source == "stt_qq"
replace top10_size1929 = 1 if name == "CENTRAL HANOVER BANK AND TRUST COMPANY" 	& source == "stt_qq"
replace top10_size1929 = 1 if name == "THE EQUITABLE TRUST COMPANY OF NEW YORK" & source == "stt_qq"
replace top10_size1929 = 1 if name == "MANUFACTURERS TRUST COMPANY" 			& source == "stt_qq"
replace top10_size1929 = 1 if name == "First National Bank" 					& source == "nat_qq"
replace top10_size1929 = 1 if name == "THE MANHATTAN COMPANY" 					& source == "stb_qq"

tab d_date if top10_size1929 == 1
tab call_id if top10_size1929 == 1


gen top10_frgn1929 = 0 
replace top10_frgn1929 = 1 if name == "National City Bank" 						& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "GUARANTY TRUST COMPANY OF NEW YORK" 		& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "Chase National Bank" 					& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "IRVING TRUST COMPANY" 					& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "First National Bank" 					& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "THE MANHATTAN COMPANY" 					& source == "stb_qq"
replace top10_frgn1929 = 1 if name == "Bank of America National Association"    & source == "nat_qq" 
replace top10_frgn1929 = 1 if name == "NEW YORK TRUST COMPANY"					& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "Public National Bank & Trust Co" 		& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "THE MARINE TRUST COMPANY OF BUFFALO" 	& source == "stt_qq"
 
tab d_date if top10_frgn1929 == 1
tab call_id if top10_frgn1929 == 1

// getting the top interconnected banks based on "due to"



lookfor due
gsort call_id -l_dep_due_banks
by call_id: gen cent_rank_in_call_id = _n

list cent_rank_in_call_id source name -l_dep_due_banks if call_id ==33 & cent_rank_in_call_id <=20



order cent_rank_in_call_id


gen top10_cent1929 = 0
// This is the list of innterconnected banks that uses amount due to other bannks and correspondent lists.
replace top10_cent1929 = 1 if name == "Chase National Bank" 						& source == "nat_qq"
replace top10_cent1929 = 1 if name == "National City Bank" 							& source == "nat_qq"
replace top10_cent1929 = 1 if name == "GUARANTY TRUST COMPANY OF NEW YORK" 			& source == "stt_qq"
replace top10_cent1929 = 1 if name == "IRVING TRUST COMPANY" 						& source == "stt_qq"
replace top10_cent1929 = 1 if name == "BANKERS TRUST COMPANY" 						& source == "stt_qq"
replace top10_cent1929 = 1 if name == "THE EQUITABLE TRUST COMPANY OF NEW YORK" 	& source == "stt_qq"
replace top10_cent1929 = 1 if name == "First National Bank" 						& source == "nat_qq"
replace top10_cent1929 = 1 if name == "NEW YORK TRUST COMPANY"						& source == "stt_qq"
replace top10_cent1929 = 1 if name == "Bank of America National Association"    	& source == "nat_qq" 
replace top10_cent1929 = 1 if name == "CENTRAL HANOVER BANK AND TRUST COMPANY" 		& source == "stt_qq"
replace top10_cent1929 = 1 if name == "BANK OF NEW YORK AND TRUST COMPANY"	 		& source == "stt_qq"
replace top10_cent1929 = 1 if name == "Chatham Phenix National Bank"	 			& source == "nat_qq"
replace top10_cent1929 = 1 if name == "Chatham Phenix National Bank & Trust Co"	 	& source == "nat_qq"

tab d_date if top10_cent1929 == 1
tab call_id if top10_cent1929 == 1

// dealing with the Irving case (change of charter and mergers

// standardizing names, based on capital letter
replace name = upper(name)
list source year d_date name assets if strpos(name,"IRVING ") >0

replace top10_cent1929 = 1 if name == "IRVING TRUST COMPANY" 						& source == "stt_qq"
replace top10_cent1929 = 1 if name == "AMERICAN EXCHANGE IRVING TRUST COMPANY" 		& source == "stt_qq"
replace top10_cent1929 = 1 if name == "IRVING BANK AND TRUST COMPANY" 				& source == "stt_qq"
replace top10_cent1929 = 1 if name == "IRVING BANK-COLUMBIA TRUST COMPANY" 			& source == "stt_qq"
replace top10_cent1929 = 1 if name == "IRVING NATIONAL BANK " 						& source == "nat_qq"
replace top10_cent1929 = 1 if name == "NYC, IRVING" 								& source == "nat_qa"

replace top10_frgn1929 = 1 if name == "IRVING TRUST COMPANY" 						& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "AMERICAN EXCHANGE IRVING TRUST COMPANY" 		& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "IRVING BANK AND TRUST COMPANY" 				& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "IRVING BANK-COLUMBIA TRUST COMPANY" 			& source == "stt_qq"
replace top10_frgn1929 = 1 if name == "IRVING NATIONAL BANK " 						& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "NYC, IRVING" 								& source == "nat_qa"

replace top10_size1929 = 1 if name == "IRVING TRUST COMPANY" 						& source == "stt_qq"
replace top10_size1929 = 1 if name == "AMERICAN EXCHANGE IRVING TRUST COMPANY" 		& source == "stt_qq"
replace top10_size1929 = 1 if name == "IRVING BANK AND TRUST COMPANY" 				& source == "stt_qq"
replace top10_size1929 = 1 if name == "IRVING BANK-COLUMBIA TRUST COMPANY" 			& source == "stt_qq"
replace top10_size1929 = 1 if name == "IRVING NATIONAL BANK " 						& source == "nat_qq"
replace top10_size1929 = 1 if name == "NYC, IRVING" 								& source == "nat_qa"

 
// list d_date source name assets if strpos(name,"MARINE") > 0 

//replace top10_size1929 = 1 if name == "NYC, HANOVER" 								& source == "nat_qa"
//replace top10_size1929 = 1 if name == "HANOVER NATIONAL BANK" 					& source == "nat_qq"
replace top10_size1929 = 1 if name == "CENTRAL UNION TRUST COMPANY" 				& source == "stt_qq"
replace top10_size1929 = 1 if name == "CENTRAL HANOVER BANK AND TRUST COMPANY" 		& source == "stt_qq"

//replace top10_cent1929 = 1 if name == "NYC, HANOVER" 								& source == "nat_qa"
//replace top10_cent1929 = 1 if name == "HANOVER NATIONAL BANK" 					& source == "nat_qq"
replace top10_cent1929 = 1 if name == "CENTRAL UNION TRUST COMPANY" 				& source == "stt_qq"
replace top10_cent1929 = 1 if name == "CENTRAL HANOVER BANK AND TRUST COMPANY" 		& source == "stt_qq"


/*============================================================================*/
replace top10_size1929 = 1 if name == "NATIONAL CITY BANK"				& source == "nat_qq"
replace top10_size1929 = 1 if name == "NYC, NATIONAL CITY"				& source == "nat_qa"

replace top10_size1929 = 1 if name == "CHASE NATIONAL BANK" 			& source == "nat_qq"
replace top10_size1929 = 1 if name == "NYC, CHASE" 						& source == "nat_qa" 

replace top10_size1929 = 1 if name == "FIRST NATIONAL BANK" 			& source == "nat_qq" 
replace top10_size1929 = 1 if name == "NYC, FIRST" 						& source == "nat_qa" 

/*============================================================================*/
replace top10_cent1929 = 1 if name == "CHASE NATIONAL BANK" 			& source == "nat_qq"
replace top10_cent1929 = 1 if name == "NYC, CHASE" 						& source == "nat_qa" 

replace top10_cent1929 = 1 if name == "FIRST NATIONAL BANK" 			& source == "nat_qq" 
replace top10_cent1929 = 1 if name == "NYC, FIRST" 						& source == "nat_qa" 

replace top10_cent1929 = 1 if name == "NATIONAL CITY BANK"				& source == "nat_qq"
replace top10_cent1929 = 1 if name == "NYC, NATIONAL CITY"				& source == "nat_qa" 

replace top10_cent1929 = 1 if name == "THE BANK OF AMERICA" 					& source == "stb_qq"
replace top10_cent1929 = 1 if name == "BANK OF AMERICA NATIONAL ASSOCIATION" 	& source == "nat_qq"   
replace top10_cent1929 = 1 if name == "NYC, BANK OF AMERICA N A" 				& source == "nat_qa" 

//replace top10_cent1929 = 1 if name == "NYC, NB OF COMMERCE"				& source == "nat_qa"
//replace top10_cent1929 = 1 if name == "NATIONAL BANK OF COMMERCE"		& source == "nat_qq"   

/*============================================================================*/
replace top10_frgn1929 = 1 if name == "CHASE NATIONAL BANK" 			& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "NYC, CHASE" 						& source == "nat_qa" 

replace top10_frgn1929 = 1 if name == "FIRST NATIONAL BANK" 			& source == "nat_qq" 
replace top10_frgn1929 = 1 if name == "NYC, FIRST" 						& source == "nat_qa" 

replace top10_frgn1929 = 1 if name == "NATIONAL CITY BANK"				& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "NYC, NATIONAL CITY"				& source == "nat_qa"

replace top10_frgn1929 = 1 if name == "THE BANK OF AMERICA" 					& source == "stb_qq"
replace top10_frgn1929 = 1 if name == "BANK OF AMERICA NATIONAL ASSOCIATION" 	& source == "nat_qq"   
replace top10_frgn1929 = 1 if name == "NYC, BANK OF AMERICA N A" 				& source == "nat_qa"   

replace top10_frgn1929 = 1 if name == "NYC, PUBLIC" 						& source == "nat_qa"
replace top10_frgn1929 = 1 if name == "PUBLIC NATIONAL BANK & TRUST CO"		& source == "nat_qq"
replace top10_frgn1929 = 1 if name == "PUBLIC NATIONAL BANK" 				& source == "nat_qq"

/* There is also a set of banks that are in the quasi-quarterly data sets
as well as in the quasi-annually one */
 
gen nat2datasets = 0

replace nat2datasets = 1 if name == "AMERICAN EXCHANGE NATIONAL BANK" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "AMERICAN EXCHANGE-PACIFIC NATIONAL BANK" 			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "ATLANTIC NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BANK OF AMERICA NATIONAL ASSOCIATION" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BANK OF NEW YORK NATIONAL BANKING ASSOCIATION" 	& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BATTERY PARK NAT'L BANK, L.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BAY PARKWAY NATIONAL BANK, BROOKLYN" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BAYSIDE NATIONAL BANK, L.I." 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BEDFORD NATIONAL BANK, BROOKLYN" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BENSONHURST NATIONAL BANK, BROOKLYN" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BOWERY & EAST RIVER NATIONAL BANK" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BROADWAY NATIONAL BANK & TRUST CO" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BRONX NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BROOKLYN NATIONAL BANK, BROOKLYN"			 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "BUSHWICK NATIONAL BANK, BROOKLYN" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CAPITOL NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CAPITOL NATIONAL BANK & TRUST CO" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CENTRAL NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CHASE NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CHATHAM PHENIX NATIONAL BANK" 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CHATHAM PHENIX NATIONAL BANK & TRUST CO" 			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CHEMICAL NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "CLAREMONT NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "COAL & IRON NATIONAL BANK" 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "COLLEGE POINT NATIONAL BANK, L.I." 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "COMMERCIAL NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "COMMERCIAL NATIONAL BANK & TRUST CO" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "DOUGLASTON NATIONAL BANK, L.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "DUNBAR NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "EAST RIVER NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "ELMHURST NATIONAL BANK, L.I." 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIFTH NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIRST NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIRST NATIONAL BANK, BROOKLYN" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIRST NATIONAL BANK, JAMAICA, L.I." 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIRST NATIONAL BANK, OZONE, PARK, L.I." 			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FIRST NATIONAL, WHITESTONE, L.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FLATBUSH NATIONAL BANK, BROOKLYN" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FLUSHING NATIONAL BANK, L.I." 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FORDHAM NATIONAL BANK, BRONX" 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FOREST HILLS NATIONAL BANK, L.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FORT GREENE NATIONAL BANK, BROOKLYN" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "FRANKLIN NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GARFIELD NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GOTHAM NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GRACE NATIONAL BANK" 								& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GRANITE NATIONAL BANK, BROOKLYN"       		   	& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GREENPOINT NATIONAL BANK, BROOKLYN"    	   		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "GUARDIAN NATIONAL BANK, BROOKLYN"       	  		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "HAMILTON NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "HANOVER NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "HARRIMAN NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "HARRIMAN NATIONAL BANK & TRUST CO"       	 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "IMPORTERS' & TRADERS' NATIONAL BANK"     	 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "INDUSTRIAL NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "IRVING NATIONAL BANK"             					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "JAMICA NATIONAL BANK, L.I."             			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "KINGSBORO NATIONAL BANK, BROOKLYN"       	 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LAFAYETTE NATIONAL BANK, BROOKLYN"       	 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LEBANON NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LEFCOURT NATIONAL BANK & TRUST CO"        			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LEFCOURT NORMANDIE NATIONAL BANK"         			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LIBERTY NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LIBERTY NATIONAL BANK & TRUST CO"         			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LINCOLN NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LITTLE NECK NATIONAL BANK, L.I."          			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LONG ISLAND NATIONAL BANK, ASTORIA, L.I."  		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "LONGACRE NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "MARINER HARBOR NATIONAL BANK, S.I." 	      		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "MECHANICS & METALS NATIONAL BANK"     	    		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "MELROSE AMERICAN BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "MELROSE NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "MERCANTILE NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NASSAU NATIONAL BANK, BROOKLYN"        	   		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL AMERICAN BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF BAY RIDGE, BROOKLYN"     			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF BAYSIDE, L.I."        	   		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF COMMERCE"            				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF FAR ROCKAWAY, L.I."      			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF QUEENS CO., L.I."        			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF RIDGEWOOD, BROOKLYN, L.I." 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BANK OF YORKVILLE"             			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL BUTCHERS' & DROVERS' BANK"       			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL CITY BANK"             					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL EXCHANGE BANK & TRUST CO, BROOKLYN"  		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NATIONAL PARK BANK"             					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NEW YORK COUNTY NATIONAL BANK"            			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "NEWTOWN NATIONAL BANK, CORONA, L.I."      			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "OZONE PARK NATIONAL BANK, CORONA, L.I."   			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PACIFIC NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PEOPLE'S NATIONAL BANK, BROOKLYN"         			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PORT RICHMOND NATIONAL BANK, S.I."       			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PROGRESS NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PROSPECT NATIONAL BANK & TRUST CO, BROOKLYN"  		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PROSPECT NATIONAL BANK, BROOKLYN"         			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PUBLIC NATIONAL BANK"             					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "PUBLIC NATIONAL BANK & TRUST CO"          			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "QUEENSBORO NATIONAL BANK, CORONA, L.I."   			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "RICHMOND BOROUGH NATIONAL BANK, S.I."     			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "RICHMOND HILL NATIONAL BANK, S.I."        			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "RICHMOND NATIONAL BANK, L.I."            	 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "RIGDEWOOD NATIONAL BANK, BROOKLYN, L.I."  			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "ROCKAWAY BEACH NATIONAL BANK, L.I."       			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "RUGBY NATIONAL BANK, BROOKLYN"            			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SEABOARD NATIONAL BANK"             				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SECOND NATIONAL BANK"             					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SEVENTH AVENUE NATIONAL BANK"             			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SEVENTH NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SEWARD NATIONAL BANK"            					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SEWARD NATIONAL BANK & TRUST CO" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "SPRINGFIELD GARDENS NATIONAL BANK, L.I." 			& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "STAPLETON NATIONAL BANK, S.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "STATEN ISLAND NATIONAL BANK & TRUST CO., S.I" 		& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "STERLING NATIONAL BANK & TRUST CO" 				& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "STRAUS NATIONAL BANK & TRUST CO" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "TOTTENVILLE NATIONAL BANK, S.I." 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "TRADERS NATIONAL BANK, BROOKLYN" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "UNION EXCHANGE NATIONAL BANK" 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "UNITED NATIONAL BANK IN NEW YORK" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "WASHINGTON NATIONAL BANK" 							& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "WASHINGTON SQUARE NATIONAL BANK" 					& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )
replace nat2datasets = 1 if name == "WOODSIDE NATIONAL BANK, S.I." 						& source == "nat_qq" & (call_id == 3 | call_id == 7  | call_id == 11 | call_id == 15 | call_id == 19 | call_id == 23 | call_id == 26 | call_id == 31 | call_id == 35 )


rename bank_id org_bank_id
encode name, generate(bank_id) 
duplicates list bank_id call_id
// CHECKCHECKCHECK duplicates drop bank_id call_id, force


gen dbl_id =0 // gen dbl_id = bank_id

replace dbl_id = 10001 if name == "AMERICAN EXCHANGE NATIONAL BANK" 					& source == "nat_qq"
//replace dbl_id = 10001 if name == ""								 					& source == "nat_qa" 
replace dbl_id = 10002 if name == "AMERICAN EXCHANGE-PACIFIC NATIONAL BANK" 			& source == "nat_qq"
replace dbl_id = 10002 if name == "NYC, AM EX PACIFIC" 									& source == "nat_qa" 
replace dbl_id = 10003 if name == "ATLANTIC NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10003 if name == "NYC, ATLANTIC" 										& source == "nat_qa" 
replace dbl_id = 10004 if name == "BANK OF AMERICA NATIONAL ASSOCIATION" 				& source == "nat_qq"
replace dbl_id = 10004 if name == "NYC, BANK OF AMERICA N A" 							& source == "nat_qa" 
replace dbl_id = 10005 if name == "BANK OF NEW YORK NATIONAL BANKING ASSOCIATION" 		& source == "nat_qq"
replace dbl_id = 10005 if name == "NYC, BANK OF NYC, N B A"								& source == "nat_qa" 
replace dbl_id = 10006 if name == "BATTERY PARK NAT'L BANK, L.I." 						& source == "nat_qq"
replace dbl_id = 10006 if name == "NYC, BATTERY PARK" 									& source == "nat_qa" 
replace dbl_id = 10007 if name == "BAY PARKWAY NATIONAL BANK, BROOKLYN" 				& source == "nat_qq"
replace dbl_id = 10007 if name == "BROOKLYN, BAY PARKWAY" 								& source == "nat_qa" 
replace dbl_id = 10008 if name == "BAYSIDE NATIONAL BANK, L.I." 						& source == "nat_qq"
replace dbl_id = 10008 if name == "BAYSIDE, BAYSIDE" 									& source == "nat_qa" 
replace dbl_id = 10009 if name == "BEDFORD NATIONAL BANK, BROOKLYN" 					& source == "nat_qq"
replace dbl_id = 10009 if name == "BROOKLYN, BEDFORD" 									& source == "nat_qa" 
replace dbl_id = 10010 if name == "BENSONHURST NATIONAL BANK, BROOKLYN" 				& source == "nat_qq"
replace dbl_id = 10010 if name == "BROOKLYN, BENSONHURST" 								& source == "nat_qa" 
replace dbl_id = 10011 if name == "BOWERY & EAST RIVER NATIONAL BANK" 					& source == "nat_qq"
replace dbl_id = 10011 if name == "NYC, BOWERY & EAST RIVER" 							& source == "nat_qa" 
replace dbl_id = 10012 if name == "BROADWAY NATIONAL BANK & TRUST CO" 					& source == "nat_qq"
replace dbl_id = 10012 if name == "NYC, BROADWAY" 										& source == "nat_qa" 
replace dbl_id = 10013 if name == "BRONX NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10013 if name == "NYC, BRONX" 											& source == "nat_qa" 
replace dbl_id = 10014 if name == "BROOKLYN NATIONAL BANK, BROOKLYN"			 		& source == "nat_qq"
replace dbl_id = 10014 if name == "BROOKLYN, BROOKLYN"			 						& source == "nat_qa" 
replace dbl_id = 10015 if name == "BUSHWICK NATIONAL BANK, BROOKLYN" 					& source == "nat_qq"
replace dbl_id = 10015 if name == "BROOKLYN, BUSHWICK" 									& source == "nat_qa" 
replace dbl_id = 10017 if name == "CAPITOL NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10017 if name == "NYC, CAPITOL" 										& source == "nat_qa" 
replace dbl_id = 10017 if name == "CAPITOL NATIONAL BANK & TRUST CO" 					& source == "nat_qq"
replace dbl_id = 10019 if name == "CENTRAL NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10019 if name == "NYC, CENTRAL" 										& source == "nat_qa" 
replace dbl_id = 10020 if name == "CHASE NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10020 if name == "NYC, CHASE" 											& source == "nat_qa" 
replace dbl_id = 10021 if name == "CHATHAM PHENIX NATIONAL BANK" 						& source == "nat_qq"
replace dbl_id = 10021 if name == "NYC, CHATHAM & PHENIX" 								& source == "nat_qa" 
replace dbl_id = 10021 if name == "CHATHAM PHENIX NATIONAL BANK & TRUST CO" 			& source == "nat_qq"
replace dbl_id = 10023 if name == "CHEMICAL NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10023 if name == "NYC, CHEMICAL" 										& source == "nat_qa" 
replace dbl_id = 10024 if name == "CLAREMONT NATIONAL BANK" 							& source == "nat_qq"
replace dbl_id = 10024 if name == "NYC, CLAREMONT" 										& source == "nat_qa" 
replace dbl_id = 10025 if name == "COAL & IRON NATIONAL BANK" 							& source == "nat_qq"
replace dbl_id = 10025 if name == "NYC, COAL& IRON" 									& source == "nat_qa" 
replace dbl_id = 10026 if name == "COLLEGE POINT NATIONAL BANK, L.I." 					& source == "nat_qq"
replace dbl_id = 10026 if name == "NYC, COLLEGE POINT" 									& source == "nat_qa" 
replace dbl_id = 10027 if name == "COMMERCIAL NATIONAL BANK" 							& source == "nat_qq"
replace dbl_id = 10027 if name == "NYC, COMMERCIAL" 									& source == "nat_qa" 
replace dbl_id = 10027 if name == "COMMERCIAL NATIONAL BANK & TRUST CO" 				& source == "nat_qq"
replace dbl_id = 10029 if name == "DOUGLASTON NATIONAL BANK, L.I." 						& source == "nat_qq"
replace dbl_id = 10029 if name == "NYC, DOUGLASTON" 									& source == "nat_qa" 
replace dbl_id = 10030 if name == "DUNBAR NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10030 if name == "NYC, DUNBAR" 										& source == "nat_qa" 
replace dbl_id = 10031 if name == "EAST RIVER NATIONAL BANK" 							& source == "nat_qq"
replace dbl_id = 10031 if name == "NYC, EAST RIVER" 									& source == "nat_qa" 
replace dbl_id = 10032 if name == "ELMHURST NATIONAL BANK, L.I." 						& source == "nat_qq"
replace dbl_id = 10032 if name == "NYC, ELMHURST" 										& source == "nat_qa" 
replace dbl_id = 10033 if name == "FIFTH NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10033 if name == "NYC, FIFTH" 											& source == "nat_qa" 
replace dbl_id = 10034 if name == "FIRST NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10034 if name == "NYC, FIRST" 											& source == "nat_qa" 
replace dbl_id = 10035 if name == "FIRST NATIONAL BANK, BROOKLYN" 						& source == "nat_qq"
replace dbl_id = 10035 if name == "BROOKLYN, FIRST" 									& source == "nat_qa" 
replace dbl_id = 10036 if name == "FIRST NATIONAL BANK, JAMAICA, L.I." 					& source == "nat_qq"
replace dbl_id = 10036 if name == "JAMAICA, FIRST" 										& source == "nat_qa" 
replace dbl_id = 10037 if name == "FIRST NATIONAL BANK, OZONE, PARK, L.I." 				& source == "nat_qq"
replace dbl_id = 10037 if name == "OZONE PARK, FIRST" 									& source == "nat_qa" 
replace dbl_id = 10038 if name == "FIRST NATIONAL, WHITESTONE, L.I." 					& source == "nat_qq"
replace dbl_id = 10038 if name == "WHITESTONE, FIRST" 									& source == "nat_qa" 
replace dbl_id = 10039 if name == "FLATBUSH NATIONAL BANK, BROOKLYN" 					& source == "nat_qq"
replace dbl_id = 10039 if name == "BROOKLYN, FLATBUSH" 									& source == "nat_qa" 
replace dbl_id = 10040 if name == "FLUSHING NATIONAL BANK, L.I." 						& source == "nat_qq"
replace dbl_id = 10040 if name == "NYC, FLUSHING" 										& source == "nat_qa" 
replace dbl_id = 10041 if name == "FORDHAM NATIONAL BANK, BRONX" 						& source == "nat_qq"
replace dbl_id = 10041 if name == "NYC, FORDHAM" 										& source == "nat_qa" 
replace dbl_id = 10042 if name == "FOREST HILLS NATIONAL BANK, L.I." 					& source == "nat_qq"
replace dbl_id = 10042 if name == "NYC, FOREST HILLS" 									& source == "nat_qa" 
replace dbl_id = 10043 if name == "FORT GREENE NATIONAL BANK, BROOKLYN" 				& source == "nat_qq"
replace dbl_id = 10043 if name == "BROOKLYN, FORT GREEN" 								& source == "nat_qa" 
replace dbl_id = 10044 if name == "FRANKLIN NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10044 if name == "NYC, FRANKLIN" 										& source == "nat_qa" 
replace dbl_id = 10045 if name == "GARFIELD NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10045 if name == "NYC, GARFIELD" 										& source == "nat_qa" 
replace dbl_id = 10046 if name == "GOTHAM NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10046 if name == "NYC, GOTHAM" 										& source == "nat_qa" 
replace dbl_id = 10047 if name == "GRACE NATIONAL BANK" 								& source == "nat_qq"
replace dbl_id = 10047 if name == "NYC, GRACE" 											& source == "nat_qa" 
replace dbl_id = 10048 if name == "GRANITE NATIONAL BANK, BROOKLYN"       			   	& source == "nat_qq"
replace dbl_id = 10048 if name == "BROOKLYN, GRANITE"       			   				& source == "nat_qa" 
replace dbl_id = 10049 if name == "GREENPOINT NATIONAL BANK, BROOKLYN"    	   			& source == "nat_qq"
replace dbl_id = 10049 if name == "BROOKLYN, GREENPOINT"    	   						& source == "nat_qa" 
replace dbl_id = 10050 if name == "GUARDIAN NATIONAL BANK, BROOKLYN"       	  			& source == "nat_qq"
replace dbl_id = 10050 if name == "BROOKLYN, GUARDIAN"       	  						& source == "nat_qa" 
replace dbl_id = 10051 if name == "HAMILTON NATIONAL BANK"             					& source == "nat_qq"
//replace dbl_id = 10051 if name == ""             										& source == "nat_qa" 
replace dbl_id = 10052 if name == "HANOVER NATIONAL BANK"            					& source == "nat_qq"
//replace dbl_id = 10052 if name == ""			            							& source == "nat_qa" 
replace dbl_id = 10053 if name == "HARRIMAN NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10053 if name == "NYC, HARRIMAN"             							& source == "nat_qa" 
replace dbl_id = 10053 if name == "HARRIMAN NATIONAL BANK & TRUST CO"       	 		& source == "nat_qq"
replace dbl_id = 10055 if name == "IMPORTERS' & TRADERS' NATIONAL BANK"     	 		& source == "nat_qq"
replace dbl_id = 10055 if name == "NYC, IMPORTERS & TRADERS"     	 					& source == "nat_qa" 
replace dbl_id = 10056 if name == "INDUSTRIAL NATIONAL BANK"             				& source == "nat_qq"
replace dbl_id = 10056 if name == "NYC, INDUSTRIAL"             						& source == "nat_qa" 
replace dbl_id = 10057 if name == "IRVING NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10057 if name == "NYC, IRVING"             							& source == "nat_qa" 
replace dbl_id = 10058 if name == "JAMICA NATIONAL BANK, L.I."             				& source == "nat_qq"
replace dbl_id = 10058 if name == "NYC, JAMAICA"             							& source == "nat_qa" 
replace dbl_id = 10059 if name == "KINGSBORO NATIONAL BANK, BROOKLYN"       	 		& source == "nat_qq"
replace dbl_id = 10059 if name == "BROOKLYN, KINGSBORO"       	 						& source == "nat_qa" 
replace dbl_id = 10061 if name == "LAFAYETTE NATIONAL BANK, BROOKLYN"        			& source == "nat_qq"
replace dbl_id = 10061 if name == "BROOKLYN, LAFAYETTE"        							& source == "nat_qa" 
replace dbl_id = 10062 if name == "LEBANON NATIONAL BANK"            					& source == "nat_qq"
replace dbl_id = 10062 if name == "NYC, LEBANON"            							& source == "nat_qa" 
replace dbl_id = 10063 if name == "LEFCOURT NATIONAL BANK & TRUST CO"        			& source == "nat_qq"
replace dbl_id = 10063 if name == "NYC, LEFCOURT"        								& source == "nat_qa" 
replace dbl_id = 10064 if name == "LEFCOURT NORMANDIE NATIONAL BANK"         			& source == "nat_qq"
// Enters as Lefcourt Normandie in 1928, changes name to Lefcourt 1929, then merges to National Safety Bank & Trust Company of New York in 1930
//replace dbl_id = 10064 if name == ""         											& source == "nat_qa" 
replace dbl_id = 10065 if name == "LIBERTY NATIONAL BANK"            					& source == "nat_qq"
replace dbl_id = 10065 if name == "NYC, LIBERTY"            							& source == "nat_qa" 
replace dbl_id = 10065 if name == "LIBERTY NATIONAL BANK & TRUST CO"         			& source == "nat_qq"
//replace dbl_id = 10066 if name == ""         											& source == "nat_qa" 
replace dbl_id = 10067 if name == "LINCOLN NATIONAL BANK"            					& source == "nat_qq"
//replace dbl_id = 10067 if name == ""            										& source == "nat_qa" 
replace dbl_id = 10068 if name == "LITTLE NECK NATIONAL BANK, L.I."          			& source == "nat_qq"
replace dbl_id = 10068 if name == "LITTLE NECK, LITTLE NECK"          					& source == "nat_qa" 
replace dbl_id = 10069 if name == "LONG ISLAND NATIONAL BANK, ASTORIA, L.I."  			& source == "nat_qq"
replace dbl_id = 10069 if name == "NYC, LONG ISLAND"  									& source == "nat_qa" 
replace dbl_id = 10070 if name == "LONGACRE NATIONAL BANK"             					& source == "nat_qq"
//replace dbl_id = 10070 if name == ""             										& source == "nat_qa" 
replace dbl_id = 10071 if name == "MARINER HARBOR NATIONAL BANK, S.I."       			& source == "nat_qq"
replace dbl_id = 10071 if name == "MARINER HARBOR, MARINER HARBOR"       				& source == "nat_qa" 
replace dbl_id = 10072 if name == "MECHANICS & METALS NATIONAL BANK"         			& source == "nat_qq"
replace dbl_id = 10072 if name == "NYC, MECHANICS & METALS"         					& source == "nat_qa" 
replace dbl_id = 10073 if name == "MELROSE AMERICAN BANK"            					& source == "nat_qq"
//replace dbl_id = 10073 if name == ""        			    							& source == "nat_qa" 
replace dbl_id = 10074 if name == "MELROSE NATIONAL BANK"            					& source == "nat_qq"
replace dbl_id = 10074 if name == "NYC, MELROSE"            							& source == "nat_qa" 
replace dbl_id = 10075 if name == "MERCANTILE NATIONAL BANK"             				& source == "nat_qq"
//replace dbl_id = 10075 if name == ""             										& source == "nat_qa" 
replace dbl_id = 10076 if name == "NASSAU NATIONAL BANK, BROOKLYN"           			& source == "nat_qq"
replace dbl_id = 10076 if name == "BROOKLYN, NASSAU"           							& source == "nat_qa" 
replace dbl_id = 10077 if name == "NATIONAL AMERICAN BANK"             					& source == "nat_qq"
replace dbl_id = 10077 if name == "NYC, NATIONAL AMERICAN"             					& source == "nat_qa" 
replace dbl_id = 10078 if name == "NATIONAL BANK OF BAY RIDGE, BROOKLYN"     			& source == "nat_qq"
replace dbl_id = 10078 if name == "BROOKLYN, NAT'L BANK OF BAY RIDGE"     				& source == "nat_qa" 
replace dbl_id = 10079 if name == "NATIONAL BANK OF BAYSIDE, L.I."           			& source == "nat_qq"
replace dbl_id = 10079 if name == "BAYSIDE, BAYSIDE"           							& source == "nat_qa" 
replace dbl_id = 10080 if name == "NATIONAL BANK OF COMMERCE"            				& source == "nat_qq"
replace dbl_id = 10080 if name == "NYC, NB OF COMMERCE"            						& source == "nat_qa" 
replace dbl_id = 10081 if name == "NATIONAL BANK OF FAR ROCKAWAY, L.I."      			& source == "nat_qq"
replace dbl_id = 10081 if name == "FAR ROCKAWAY, NATIONAL"      						& source == "nat_qa" 
replace dbl_id = 10082 if name == "NATIONAL BANK OF QUEENS CO., L.I."        			& source == "nat_qq"
replace dbl_id = 10082 if name == "NYC, (FLUSHING) N B OF QUEENS CO"        			& source == "nat_qa" 
replace dbl_id = 10083 if name == "NATIONAL BANK OF RIDGEWOOD, BROOKLYN, L.I."  		& source == "nat_qq"
replace dbl_id = 10083 if name == "NYC, RIDGEWOOD"  									& source == "nat_qa" 
replace dbl_id = 10084 if name == "NATIONAL BANK OF YORKVILLE"             				& source == "nat_qq"
replace dbl_id = 10084 if name == "NYC, N BOF YORKVILLE"             					& source == "nat_qa" 
replace dbl_id = 10085 if name == "NATIONAL BUTCHERS' & DROVERS' BANK"       			& source == "nat_qq"
replace dbl_id = 10085 if name == "NYC, NATIONAL BUTCHERS & DROVERS"       				& source == "nat_qa" 
replace dbl_id = 10086 if name == "NATIONAL CITY BANK"             						& source == "nat_qq"
replace dbl_id = 10086 if name == "NYC, NATIONAL CITY"             						& source == "nat_qa" 
replace dbl_id = 10087 if name == "NATIONAL EXCHANGE BANK & TRUST CO, BROOKLYN"  		& source == "nat_qq"
//replace dbl_id = 10087 if name == ""  													& source == "nat_qa" 
replace dbl_id = 10088 if name == "NATIONAL PARK BANK"             						& source == "nat_qq"
replace dbl_id = 10088 if name == "NYC, NATIONAL PARK"             						& source == "nat_qa" 
replace dbl_id = 10089 if name == "NEW YORK COUNTY NATIONAL BANK"            			& source == "nat_qq"
replace dbl_id = 10089 if name == "NYC, NEW YORK COUNTY"            					& source == "nat_qa" 
replace dbl_id = 10090 if name == "NEWTOWN NATIONAL BANK, CORONA, L.I."      			& source == "nat_qq"
replace dbl_id = 10090 if name == "NYC (CORONA), NEWTOWN"      							& source == "nat_qa" 
replace dbl_id = 10091 if name == "OZONE PARK NATIONAL BANK, CORONA, L.I."   			& source == "nat_qq"
replace dbl_id = 10091 if name == "OZONE PARK, OZONE PARK"   							& source == "nat_qa" 
replace dbl_id = 10092 if name == "PACIFIC NATIONAL BANK"            					& source == "nat_qq"
//replace dbl_id = 10092 if name == ""            										& source == "nat_qa" 
replace dbl_id = 10093 if name == "PEOPLE'S NATIONAL BANK, BROOKLYN"         			& source == "nat_qq"
replace dbl_id = 10093 if name == "BROOKLYN, PEOPLES"         							& source == "nat_qa" 
replace dbl_id = 10094 if name == "PORT RICHMOND NATIONAL BANK, S.I."       			& source == "nat_qq"
replace dbl_id = 10094 if name == "PORT RICHMOND, PORT RICHMOND"       					& source == "nat_qa" 
replace dbl_id = 10095 if name == "PROGRESS NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10095 if name == "NYC, PROGRESS"             							& source == "nat_qa" 
replace dbl_id = 10096 if name == "PROSPECT NATIONAL BANK & TRUST CO, BR.."  			& source == "nat_qq"
replace dbl_id = 10096 if name == "BROOKLYN, PROSPECT"  								& source == "nat_qa" 
replace dbl_id = 10096 if name == "PROSPECT NATIONAL BANK, BROOKLYN"         			& source == "nat_qq"
//replace dbl_id = 10097 if name == ""         											& source == "nat_qa" 
replace dbl_id = 10098 if name == "PUBLIC NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10098 if name == "NYC, PUBLIC"             							& source == "nat_qa" 
replace dbl_id = 10098 if name == "PUBLIC NATIONAL BANK & TRUST CO"          			& source == "nat_qq"
replace dbl_id = 10100 if name == "QUEENSBORO NATIONAL BANK, CORONA, L.I."   			& source == "nat_qq"
replace dbl_id = 10100 if name == "NYC (CORONA), QUEENSBORO"   							& source == "nat_qa" 
replace dbl_id = 10101 if name == "RICHMOND BOROUGH NATIONAL BANK, S.I."     			& source == "nat_qq"
//replace dbl_id = 10101 if name == ""     												& source == "nat_qa" 
replace dbl_id = 10102 if name == "RICHMOND HILL NATIONAL BANK, S.I."        			& source == "nat_qq"
//replace dbl_id = 10102 if name == ""        											& source == "nat_qa" 
replace dbl_id = 10103 if name == "RICHMOND NATIONAL BANK, L.I."             			& source == "nat_qq"
replace dbl_id = 10103 if name == "NYC, RICHMOND"             							& source == "nat_qa" 
replace dbl_id = 10104 if name == "RIGDEWOOD NATIONAL BANK, BROOKLYN, L.I."  			& source == "nat_qq"
replace dbl_id = 10104 if name == "NYC, RIDGEWOOD"  									& source == "nat_qa" 
replace dbl_id = 10105 if name == "ROCKAWAY BEACH NATIONAL BANK, L.I."       			& source == "nat_qq"
replace dbl_id = 10105 if name == "ROCKAWAY, BEACH, ROCKAWAY REACH"       				& source == "nat_qa" 
replace dbl_id = 10106 if name == "RUGBY NATIONAL BANK, BROOKLYN"            			& source == "nat_qq"
replace dbl_id = 10106 if name == "BROOKLYN, RUGBY"            							& source == "nat_qa" 
replace dbl_id = 10107 if name == "SEABOARD NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10107 if name == "NYC, SEABOARD"             							& source == "nat_qa" 
replace dbl_id = 10108 if name == "SECOND NATIONAL BANK"             					& source == "nat_qq"
replace dbl_id = 10108 if name == "NYC, SECOND"       					     			& source == "nat_qa" 
replace dbl_id = 10109 if name == "SEVENTH AVENUE NATIONAL BANK"             			& source == "nat_qq"
//replace dbl_id = 10109 if name == ""          								   			& source == "nat_qa" 
replace dbl_id = 10110 if name == "SEVENTH NATIONAL BANK"            					& source == "nat_qq"
replace dbl_id = 10110 if name == "NYC, SEVENTH"           					 			& source == "nat_qa" 
replace dbl_id = 10111 if name == "SEWARD NATIONAL BANK"            					& source == "nat_qq"
replace dbl_id = 10111 if name == "NYC, SEWARD"            								& source == "nat_qa" 
replace dbl_id = 10111 if name == "SEWARD NATIONAL BANK & TRUST CO" 					& source == "nat_qq"
//replace dbl_id = 10112 if name == "" 													& source == "nat_qa" 
replace dbl_id = 10113 if name == "SPRINGFIELD GARDENS NATIONAL BANK, L.I." 			& source == "nat_qq"
replace dbl_id = 10113 if name == "NYC, SPRINGFIELD"									& source == "nat_qa" 
replace dbl_id = 10114 if name == "STAPLETON NATIONAL BANK, S.I." 						& source == "nat_qq"
replace dbl_id = 10114 if name == "STAPLETON, STAPLETON" 								& source == "nat_qa" 
replace dbl_id = 10115 if name == "STATEN ISLAND NATIONAL BANK & TRUST CO., S.I" 		& source == "nat_qq"
//replace dbl_id = 10115 if name == "" 													& source == "nat_qa" 
replace dbl_id = 10116 if name == "STERLING NATIONAL BANK & TRUST CO" 					& source == "nat_qq"
//replace dbl_id = 10116 if name == "" 													& source == "nat_qa" 
replace dbl_id = 10117 if name == "STRAUS NATIONAL BANK & TRUST CO" 					& source == "nat_qq"
replace dbl_id = 10117 if name == "NYC, STRAUS" 										& source == "nat_qa" 
replace dbl_id = 10118 if name == "TOTTENVILLE NATIONAL BANK, S.I." 					& source == "nat_qq"
replace dbl_id = 10118 if name == "TOTTENVILLE, TOTTENVILLE" 							& source == "nat_qa" 
replace dbl_id = 10119 if name == "TRADERS NATIONAL BANK, BROOKLYN" 					& source == "nat_qq"
replace dbl_id = 10119 if name == "BROOKLYN, TRADERS" 									& source == "nat_qa" 
replace dbl_id = 10120 if name == "UNION EXCHANGE NATIONAL BANK" 						& source == "nat_qq"
replace dbl_id = 10120 if name == "NYC, UNION EXCHANGE" 								& source == "nat_qa" 
replace dbl_id = 10121 if name == "UNITED NATIONAL BANK IN NEW YORK" 					& source == "nat_qq"
replace dbl_id = 10121 if name == "NYC, UNITED" 										& source == "nat_qa" 
replace dbl_id = 10122 if name == "WASHINGTON NATIONAL BANK" 							& source == "nat_qq"
replace dbl_id = 10122 if name == "NYC, WASHINGTON" 									& source == "nat_qa" 
replace dbl_id = 10123 if name == "WASHINGTON SQUARE NATIONAL BANK" 					& source == "nat_qq"
//replace dbl_id = 10123 if name == "" 													& source == "nat_qa" 
replace dbl_id = 10124 if name == "WOODSIDE NATIONAL BANK, S.I." 						& source == "nat_qq"
replace dbl_id = 10124 if name == "NYC, WOODSIDE" 										& source == "nat_qa" 




replace dbl_id = 10057 if name == "AMERICAN EXCHANGE IRVING TRUST COMPANY"
replace dbl_id = 10057 if name == "IRVING BANK AND TRUST COMPANY"
replace dbl_id = 10057 if name == "IRVING BANK-COLUMBIA TRUST COMPANY"
replace dbl_id = 10057 if name == "IRVING TRUST COMPANY"

replace dbl_id = 10212 if name == "CENTRAL HANOVER BANK AND TRUST COMPANY"
replace dbl_id = 10212 if name == "CENTRAL UNION TRUST COMPANY"

replace dbl_id = 10211 if name == "THE MANHATTAN COMPANY"

replace dbl_id = 10004 if name == "BANK OF AMERICA"
replace dbl_id = 10004 if name == "THE BANK OF AMERICA"
*/

/*
label define bank_label 1 "Chase" 2 "National City"
label values bank_id bank_label
*/

/*
generate an age variable for de-novo banks consistent across data sets.
*/

rename age org_age
replace year = year(d_date)
gen age = year - organized

drop if assets == 0 | assets == .

/*
generate bank_id that takes into account charter changes
and overlapping membership in the data set xt_nat_qq and xt_nat_qa.
*/

replace bank_id = dbl_id if dbl_id !=0


local DoPlot = 0

if "`DoPlot'" == "1" {

levelsof bank_id if top10_size1929 ==1, local(top10)
di `top10'

foreach sequence of local top10 {
sort bank_id call_id

levelsof name if bank_id ==`sequence', local(bks_label)
local bks_2 `bks_label'
local bks_1 "`: word 1 of `bks_label''"
local bks_2 "`: word 2 of `bks_label''"

di "`bks_1'"

line eqt d_date if bank_id == `sequence', lc(blue) lw(thick) || ///
scatter eqt d_date if bank_id ==`sequence', m(x) msize(large) mc(red) legend(off) ///
xline(-14186 -14064 -13996 -13926 -13811 -13699 -13607 -13561 -13429 -13334 -13262 -13196 -13070 -12968 -12877 -12830 -12700 -12603 -12511 -12466 -12335 -12238 -12146 -12100 -11972 -11873 -11781 -11735 -11627 -11507 -11417 -11323 -11242 -11143 -11053 -10958 -10872 -10777 -10691 -10593, lc(gs12) lp(solid) lw(vthin)) ///
yl(0(5)35, angle(horizontal) nogrid) lc(red) lw(thick) ///
ymt(0(1)35) ///
graphregion(c(white)) ///
plotregion(c(white)) yl(, angle(horizontal)) ///
xsize(4.8) ysize(3) ///
xl(-14186(365)-10593, format(%tdCY)) ///
t("TOP10 SIZE Bank: `sequence', `bks_1' / `bks_2'", c(black) size(small)) ///
xt("") yt("Equity Ratio") ///
note("{bf:Note:} Equity Ratio = 100*(Capital + Surplus + Reserves)/ Assets" "{bf:Source:} Koch, Richardson, and Van Horn (2019, WP)")

graph export ./output/temp/top10_size_`sequence'.pdf, replace 


}

levelsof bank_id if top10_frgn1929 ==1, local(top10)

foreach sequence of local top10 {
sort bank_id call_id

levelsof name if bank_id ==`sequence', local(bks_label)
local bks_2 `bks_label'
local bks_1 "`: word 1 of `bks_label''"
local bks_2 "`: word 2 of `bks_label''"

di "`bks_1'"

line eqt d_date if bank_id == `sequence', lc(blue) lw(thick) || ///
scatter eqt d_date if bank_id ==`sequence', m(x) msize(large) mc(red) legend(off) ///
xline(-14186 -14064 -13996 -13926 -13811 -13699 -13607 -13561 -13429 -13334 -13262 -13196 -13070 -12968 -12877 -12830 -12700 -12603 -12511 -12466 -12335 -12238 -12146 -12100 -11972 -11873 -11781 -11735 -11627 -11507 -11417 -11323 -11242 -11143 -11053 -10958 -10872 -10777 -10691 -10593, lc(gs12) lp(solid) lw(vthin)) ///
yl(0(5)35, angle(horizontal) nogrid) lc(red) lw(thick) ///
ymt(0(1)35) ///
graphregion(c(white)) ///
plotregion(c(white)) yl(, angle(horizontal)) ///
xsize(4.8) ysize(3) ///
xl(-14186(365)-10593, format(%tdCY)) ///
t("TOP10 FRGN Bank: `sequence', `bks_1' / `bks_2'", c(black) size(small)) ///
xt("") yt("Equity Ratio") ///
note("{bf:Note:} Equity Ratio = 100*(Capital + Surplus + Reserves)/ Assets" "{bf:Source:} Koch, Richardson, and Van Horn (2019, WP)")

graph export ./output/temp/top10_frgn_`sequence'.pdf, replace 
}


levelsof bank_id if top10_cent1929 ==1, local(top10)

foreach sequence of local top10 {
sort bank_id call_id

levelsof name if bank_id ==`sequence', local(bks_label)
local bks_2 `bks_label'
local bks_1 "`: word 1 of `bks_label''"
local bks_2 "`: word 2 of `bks_label''"

di "`bks_1'"

line eqt d_date if bank_id == `sequence', lc(blue) lw(thick) || ///
scatter eqt d_date if bank_id ==`sequence', m(x) msize(large) mc(red) legend(off) ///
xline(-14186 -14064 -13996 -13926 -13811 -13699 -13607 -13561 -13429 -13334 -13262 -13196 -13070 -12968 -12877 -12830 -12700 -12603 -12511 -12466 -12335 -12238 -12146 -12100 -11972 -11873 -11781 -11735 -11627 -11507 -11417 -11323 -11242 -11143 -11053 -10958 -10872 -10777 -10691 -10593, lc(gs12) lp(solid) lw(vthin)) ///
yl(0(5)35, angle(horizontal) nogrid) lc(red) lw(thick) ///
ymt(0(1)35) ///
graphregion(c(white)) ///
plotregion(c(white)) yl(, angle(horizontal)) ///
xsize(4.8) ysize(3) ///
xl(-14186(365)-10593, format(%tdCY)) ///
t("TOP10 CENT Bank: `sequence', `bks_1' / `bks_2'", c(black) size(small)) ///
xt("") yt("Equity Ratio") ///
note("{bf:Note:} Equity Ratio = 100*(Capital + Surplus + Reserves)/ Assets" "{bf:Source:} Koch, Richardson, and Van Horn (2019, WP)")

graph export ./output/temp/top10_cent_`sequence'.pdf, replace 

}



}


// END OF FILE //
