/*
Include time-fixed effects interacted with the top size (center) dummy etc.
*/


xtset bank_id call_id


xtset eqt h_bc_1 i.i.call_id, fe vce(robust bank_id)

local bc = 1

xtreg eqt i.top10_cent1929 i.top10_cent1929#i.call_id i.top10_cent1929 ${controls} if ${SubSet} & h_bc_`bc' !=., fe 
tfeExtraction `bc'

capture noisily program drop tfeExtraction
program define tfeExtraction

/*
This program extracts the differential time-fixed effects from the regressions
by business cycle.
*/

local bc = `1'

if `bc' == 1 {

	forvalues call = 27/34 {
		local line = `call' - 25
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
		
	}

    lincom 1.top10_cent1929#27.call_id + ///
           1.top10_cent1929#28.call_id + ///
           1.top10_cent1929#29.call_id + ///
           1.top10_cent1929#30.call_id + ///
           1.top10_cent1929#31.call_id + ///
           1.top10_cent1929#32.call_id + ///
           1.top10_cent1929#33.call_id + ///
           1.top10_cent1929#34.call_id
		   
    lincom 0.top10_cent1929#27.call_id + ///
           0.top10_cent1929#28.call_id + ///
           0.top10_cent1929#29.call_id + ///
           0.top10_cent1929#30.call_id + ///
           0.top10_cent1929#31.call_id + ///
           0.top10_cent1929#32.call_id + ///
           0.top10_cent1929#33.call_id + ///
           0.top10_cent1929#34.call_id
		   
}

if `bc' == 2 {

	forvalues call = 8/34 {
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
	}

	lincom 1.top10_cent1929#8.call_id + ///
           1.top10_cent1929#9.call_id + ///
           1.top10_cent1929#10.call_id + ///
           1.top10_cent1929#11.call_id + ///
           1.top10_cent1929#12.call_id + ///
           1.top10_cent1929#13.call_id + ///
           1.top10_cent1929#14.call_id + ///
           1.top10_cent1929#15.call_id + ///
           1.top10_cent1929#16.call_id + ///
           1.top10_cent1929#17.call_id + ///
           1.top10_cent1929#18.call_id + ///
           1.top10_cent1929#19.call_id + ///
           1.top10_cent1929#20.call_id + ///
           1.top10_cent1929#21.call_id + ///
           1.top10_cent1929#22.call_id + ///
           1.top10_cent1929#23.call_id + ///
           1.top10_cent1929#24.call_id + ///
           1.top10_cent1929#25.call_id + ///
           1.top10_cent1929#26.call_id + ///
           1.top10_cent1929#27.call_id + ///
           1.top10_cent1929#28.call_id + ///
           1.top10_cent1929#29.call_id + ///
           1.top10_cent1929#30.call_id + ///
           1.top10_cent1929#31.call_id + ///
           1.top10_cent1929#32.call_id + ///
           1.top10_cent1929#33.call_id + ///
           1.top10_cent1929#34.call_id

	lincom 0.top10_cent1929#8.call_id + ///
		   0.top10_cent1929#9.call_id + ///
		   0.top10_cent1929#10.call_id + ///
		   0.top10_cent1929#11.call_id + ///
		   0.top10_cent1929#12.call_id + ///
		   0.top10_cent1929#13.call_id + ///
		   0.top10_cent1929#14.call_id + ///
		   0.top10_cent1929#15.call_id + ///
		   0.top10_cent1929#16.call_id + ///
		   0.top10_cent1929#17.call_id + ///
		   0.top10_cent1929#18.call_id + ///
		   0.top10_cent1929#19.call_id + ///
		   0.top10_cent1929#20.call_id + ///
		   0.top10_cent1929#21.call_id + ///
		   0.top10_cent1929#22.call_id + ///
		   0.top10_cent1929#23.call_id + ///
		   0.top10_cent1929#24.call_id + ///
		   0.top10_cent1929#25.call_id + ///
		   0.top10_cent1929#26.call_id + ///
		   0.top10_cent1929#27.call_id + ///
		   0.top10_cent1929#28.call_id + ///
		   0.top10_cent1929#29.call_id + ///
		   0.top10_cent1929#30.call_id + ///
		   0.top10_cent1929#31.call_id + ///
		   0.top10_cent1929#32.call_id + ///
		   0.top10_cent1929#33.call_id + ///
		   0.top10_cent1929#34.call_id		 
		 
	}

if `bc' == 3 {

	forvalues call = 4/37 {
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
	}
	
	lincom 1.top10_cent1929#4.call_id + ///
		   1.top10_cent1929#5.call_id + ///
		   1.top10_cent1929#6.call_id + ///
		   1.top10_cent1929#7.call_id + ///
		   1.top10_cent1929#8.call_id + ///
		   1.top10_cent1929#9.call_id + ///
		   1.top10_cent1929#10.call_id + ///
		   1.top10_cent1929#11.call_id + ///
		   1.top10_cent1929#12.call_id + ///
		   1.top10_cent1929#13.call_id + ///
		   1.top10_cent1929#14.call_id + ///
		   1.top10_cent1929#15.call_id + ///
		   1.top10_cent1929#16.call_id + ///
		   1.top10_cent1929#17.call_id + ///
		   1.top10_cent1929#18.call_id + ///
		   1.top10_cent1929#19.call_id + ///
		   1.top10_cent1929#20.call_id + ///
		   1.top10_cent1929#21.call_id + ///
		   1.top10_cent1929#22.call_id + ///
		   1.top10_cent1929#23.call_id + ///
		   1.top10_cent1929#24.call_id + ///
		   1.top10_cent1929#25.call_id + ///
		   1.top10_cent1929#26.call_id + ///
		   1.top10_cent1929#27.call_id + ///
		   1.top10_cent1929#28.call_id + ///
		   1.top10_cent1929#29.call_id + ///
		   1.top10_cent1929#30.call_id + ///
		   1.top10_cent1929#31.call_id + ///
		   1.top10_cent1929#32.call_id + ///
		   1.top10_cent1929#33.call_id + ///
		   1.top10_cent1929#34.call_id + ///
		   1.top10_cent1929#35.call_id + ///
		   1.top10_cent1929#36.call_id + ///
		   1.top10_cent1929#37.call_id 

	lincom 0.top10_cent1929#4.call_id + ///
		   0.top10_cent1929#5.call_id + ///
		   0.top10_cent1929#6.call_id + ///
		   0.top10_cent1929#7.call_id + ///
		   0.top10_cent1929#8.call_id + ///
		   0.top10_cent1929#9.call_id + ///
		   0.top10_cent1929#10.call_id + ///
		   0.top10_cent1929#11.call_id + ///
		   0.top10_cent1929#12.call_id + ///
		   0.top10_cent1929#13.call_id + ///
		   0.top10_cent1929#14.call_id + ///
		   0.top10_cent1929#15.call_id + ///
		   0.top10_cent1929#16.call_id + ///
		   0.top10_cent1929#17.call_id + ///
		   0.top10_cent1929#18.call_id + ///
		   0.top10_cent1929#19.call_id + ///
		   0.top10_cent1929#20.call_id + ///
		   0.top10_cent1929#21.call_id + ///
		   0.top10_cent1929#22.call_id + ///
		   0.top10_cent1929#23.call_id + ///
		   0.top10_cent1929#24.call_id + ///
		   0.top10_cent1929#25.call_id + ///
		   0.top10_cent1929#26.call_id + ///
		   0.top10_cent1929#27.call_id + ///
		   0.top10_cent1929#28.call_id + ///
		   0.top10_cent1929#29.call_id + ///
		   0.top10_cent1929#30.call_id + ///
		   0.top10_cent1929#31.call_id + ///
		   0.top10_cent1929#32.call_id + ///
		   0.top10_cent1929#33.call_id + ///
		   0.top10_cent1929#34.call_id + ///
		   0.top10_cent1929#35.call_id + ///
		   0.top10_cent1929#36.call_id + ///
		   0.top10_cent1929#37.call_id 
	   
	}

if `bc' == 4 {

	forvalues call = 4/34 {
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
	}
	
	lincom 1.top10_cent1929#4.call_id + ///
		   1.top10_cent1929#5.call_id + ///
		   1.top10_cent1929#6.call_id + ///
		   1.top10_cent1929#7.call_id + ///
		   1.top10_cent1929#8.call_id + ///
		   1.top10_cent1929#9.call_id + ///
		   1.top10_cent1929#10.call_id + ///
		   1.top10_cent1929#11.call_id + ///
		   1.top10_cent1929#12.call_id + ///
		   1.top10_cent1929#13.call_id + ///
		   1.top10_cent1929#14.call_id + ///
		   1.top10_cent1929#15.call_id + ///
		   1.top10_cent1929#16.call_id + ///
		   1.top10_cent1929#17.call_id + ///
		   1.top10_cent1929#18.call_id + ///
		   1.top10_cent1929#19.call_id + ///
		   1.top10_cent1929#20.call_id + ///
		   1.top10_cent1929#21.call_id + ///
		   1.top10_cent1929#22.call_id + ///
		   1.top10_cent1929#23.call_id + ///
		   1.top10_cent1929#24.call_id + ///
		   1.top10_cent1929#25.call_id + ///
		   1.top10_cent1929#26.call_id + ///
		   1.top10_cent1929#27.call_id + ///
		   1.top10_cent1929#28.call_id + ///
		   1.top10_cent1929#29.call_id + ///
		   1.top10_cent1929#30.call_id + ///
		   1.top10_cent1929#31.call_id + ///
		   1.top10_cent1929#32.call_id + ///
		   1.top10_cent1929#33.call_id + ///
		   1.top10_cent1929#34.call_id 

	lincom 0.top10_cent1929#4.call_id + ///
		   0.top10_cent1929#5.call_id + ///
		   0.top10_cent1929#6.call_id + ///
		   0.top10_cent1929#7.call_id + ///
		   0.top10_cent1929#8.call_id + ///
		   0.top10_cent1929#9.call_id + ///
		   0.top10_cent1929#10.call_id + ///
		   0.top10_cent1929#11.call_id + ///
		   0.top10_cent1929#12.call_id + ///
		   0.top10_cent1929#13.call_id + ///
		   0.top10_cent1929#14.call_id + ///
		   0.top10_cent1929#15.call_id + ///
		   0.top10_cent1929#16.call_id + ///
		   0.top10_cent1929#17.call_id + ///
		   0.top10_cent1929#18.call_id + ///
		   0.top10_cent1929#19.call_id + ///
		   0.top10_cent1929#20.call_id + ///
		   0.top10_cent1929#21.call_id + ///
		   0.top10_cent1929#22.call_id + ///
		   0.top10_cent1929#23.call_id + ///
		   0.top10_cent1929#24.call_id + ///
		   0.top10_cent1929#25.call_id + ///
		   0.top10_cent1929#26.call_id + ///
		   0.top10_cent1929#27.call_id + ///
		   0.top10_cent1929#28.call_id + ///
		   0.top10_cent1929#29.call_id + ///
		   0.top10_cent1929#30.call_id + ///
		   0.top10_cent1929#31.call_id + ///
		   0.top10_cent1929#32.call_id + ///
		   0.top10_cent1929#33.call_id + ///
		   0.top10_cent1929#34.call_id 

	}
	
if `bc' == 5 {

	forvalues call = 12/35 {
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
	}
	
	lincom 1.top10_cent1929#12.call_id + ///
		   1.top10_cent1929#13.call_id + ///
		   1.top10_cent1929#14.call_id + ///
		   1.top10_cent1929#15.call_id + ///
		   1.top10_cent1929#16.call_id + ///
		   1.top10_cent1929#17.call_id + ///
		   1.top10_cent1929#18.call_id + ///
		   1.top10_cent1929#19.call_id + ///
		   1.top10_cent1929#20.call_id + ///
		   1.top10_cent1929#21.call_id + ///
		   1.top10_cent1929#22.call_id + ///
		   1.top10_cent1929#23.call_id + ///
		   1.top10_cent1929#24.call_id + ///
		   1.top10_cent1929#25.call_id + ///
		   1.top10_cent1929#26.call_id + ///
		   1.top10_cent1929#27.call_id + ///
		   1.top10_cent1929#28.call_id + ///
		   1.top10_cent1929#29.call_id + ///
		   1.top10_cent1929#30.call_id + ///
		   1.top10_cent1929#31.call_id + ///
		   1.top10_cent1929#32.call_id + ///
		   1.top10_cent1929#33.call_id + ///
		   1.top10_cent1929#34.call_id + ///
		   1.top10_cent1929#35.call_id 
	
	lincom 0.top10_cent1929#12.call_id + ///
		   0.top10_cent1929#13.call_id + ///
		   0.top10_cent1929#14.call_id + ///
		   0.top10_cent1929#15.call_id + ///
		   0.top10_cent1929#16.call_id + ///
		   0.top10_cent1929#17.call_id + ///
		   0.top10_cent1929#18.call_id + ///
		   0.top10_cent1929#19.call_id + ///
		   0.top10_cent1929#20.call_id + ///
		   0.top10_cent1929#21.call_id + ///
		   0.top10_cent1929#22.call_id + ///
		   0.top10_cent1929#23.call_id + ///
		   0.top10_cent1929#24.call_id + ///
		   0.top10_cent1929#25.call_id + ///
		   0.top10_cent1929#26.call_id + ///
		   0.top10_cent1929#27.call_id + ///
		   0.top10_cent1929#28.call_id + ///
		   0.top10_cent1929#29.call_id + ///
		   0.top10_cent1929#30.call_id + ///
		   0.top10_cent1929#31.call_id + ///
		   0.top10_cent1929#32.call_id + ///
		   0.top10_cent1929#33.call_id + ///
		   0.top10_cent1929#34.call_id + ///
		   0.top10_cent1929#35.call_id
		   
	}

if `bc' == 6 {

	forvalues call = 16/34 {
		lincom 1.top10_cent1929#`call'.call_id, cformat(%9.2fc) 
	}

	lincom 1.top10_cent1929#16.call_id + ///
		   1.top10_cent1929#17.call_id + ///
		   1.top10_cent1929#18.call_id + ///
		   1.top10_cent1929#19.call_id + ///
		   1.top10_cent1929#20.call_id + ///
		   1.top10_cent1929#21.call_id + ///
		   1.top10_cent1929#22.call_id + ///
		   1.top10_cent1929#23.call_id + ///
		   1.top10_cent1929#24.call_id + ///
		   1.top10_cent1929#25.call_id + ///
		   1.top10_cent1929#26.call_id + ///
		   1.top10_cent1929#27.call_id + ///
		   1.top10_cent1929#28.call_id + ///
		   1.top10_cent1929#29.call_id + ///
		   1.top10_cent1929#30.call_id + ///
		   1.top10_cent1929#31.call_id + ///
		   1.top10_cent1929#32.call_id + ///
		   1.top10_cent1929#33.call_id + ///
		   1.top10_cent1929#34.call_id 

	lincom 0.top10_cent1929#16.call_id + ///
		   0.top10_cent1929#17.call_id + ///
		   0.top10_cent1929#18.call_id + ///
		   0.top10_cent1929#19.call_id + ///
		   0.top10_cent1929#20.call_id + ///
		   0.top10_cent1929#21.call_id + ///
		   0.top10_cent1929#22.call_id + ///
		   0.top10_cent1929#23.call_id + ///
		   0.top10_cent1929#24.call_id + ///
		   0.top10_cent1929#25.call_id + ///
		   0.top10_cent1929#26.call_id + ///
		   0.top10_cent1929#27.call_id + ///
		   0.top10_cent1929#28.call_id + ///
		   0.top10_cent1929#29.call_id + ///
		   0.top10_cent1929#30.call_id + ///
		   0.top10_cent1929#31.call_id + ///
		   0.top10_cent1929#32.call_id + ///
		   0.top10_cent1929#33.call_id + ///
		   0.top10_cent1929#34.call_id 		
		   
	}

end

local bc 6

if `bc' == 1 {
	di "test1"
} 
else if `bc' == 2 {
	di "test2"
}
else if `bc' == 3 {
	di "test3"
}
else if `bc' == 4 {
	di "test4"
}
else if `bc' == 5 {
	di "test5"
}
else if `bc' == 6 {
	di "test6"
}



return list
matrix list r(table)

mata: st_matrix("tfe_int", (st_matrix("r(table)")[(1..4),.]))
matrix rownames tfe_int = coeff stderr tstat pvalue
matrix colnames tfe_int = `: colnames e(b)'

matrix list tfe_int

svmat tfe_int, names(matcol)


matrix list r(table)
matrix list tfe_int, format(%9.2f)

mata: st_matrix("tfe_int", (st_matrix("r(table)")[(1..4),(15..20)]))
matrix rownames tfe_int = coeff stderr tstat pvalue
matrix colnames tfe_int = `: colnames e(b)'
matrix list tfe_int, format(%9.2f)

matrix list tfe_int

svmat tfe_int


getmata (r*) = tfe_int



// END OF FILE //
